%define major		0
%define apiver		2.0
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d
%define develsname	%mklibname %{name} -d -s

%define sname		SDL2_image

Summary:	Simple DirectMedia Layer 2 - image
Name:		sdl2_image
Version:	2.0.1
Release:	%mkrel 2
License:	Zlib
Group:		System/Libraries
URL:		http://www.libsdl.org/projects/SDL_image/index.html
Source0:	http://www.libsdl.org/projects/SDL_image/release/%{sname}-%{version}.tar.xz
#-----------------------------------
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}sdl2.0-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}webp-devel
#-----------------------------------


%description
This is a simple library to load images of various formats as SDL2 surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, and PNG formats.

This package contains the binary `sdl2show' to test the library.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/Libraries
Requires:     %{libname} = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{libname}-test
Summary:	Test binary for %{name}
Group:		System/Libraries

%description -n %{libname}-test
This package contains binary to test the associated library.

%prep
%setup -q -n %{sname}-%{version}
%apply_patches
rm -rf external/
sed -i -e 's/\r//g' README.txt CHANGES.txt COPYING.txt

%build
# (anssi) --disable-x-shared disable dlopening, so that we link to them
# dynamically instead, and thus get correct autorequires
%configure2_5x	--enable-bmp \
		--enable-gif \
		--enable-jpg \
		--enable-pcx \
		--enable-png \
		--enable-tif \
		--enable-xpm \
		--disable-jpg-shared \
		--disable-png-shared \
		--disable-tif-shared

%make

%install
rm -rf %buildroot
%makeinstall_std

#dont want this
rm -f %buildroot/%{_libdir}/*.la

install -d %{buildroot}%{_bindir}
install -m755 .libs/showimage %{buildroot}%{_bindir}/sdl2show

%files -n %{libname}-test
%defattr(-,root,root)
%{_bindir}/sdl2show

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING.txt
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/SDL2_image.pc

%files -n %{develsname}
%defattr(-,root,root)
%{_libdir}/*.a

%clean
rm -rf %buildroot


%changelog
* Tue Sep 05 2017 adrianomorselli <adrianomorselli> 2.0.1-2uplos2017
- rebuild for new sdl2
